## asterisk-certified 20.7-cert7

=== debian/changelog ===
asterisk-certified (20.7-cert7-1bit3) unstable; urgency=medium

  * Removed Breaks asterisk-cert-modules (<< 1:11.6.0~dfsg-2) because it prevented the
    installation of the following packages:
    - asterisk-cert-dahdi
    - asterisk-cert-digium

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 15 Sep 2025 15:41:39 +0200

asterisk-certified (20.7-cert7-1bit2) unstable; urgency=medium

  * Added digium to SUBPACKS_EXTRA to not have the digium shared objects
    duplicated in the package asterisk-cert-modules.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 12 Sep 2025 17:46:41 +0200

asterisk-certified (20.7-cert7-1bit1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 12 Sep 2025 08:25:51 +0200

asterisk-certified (20.7-cert5-1bit1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 23 May 2025 11:39:55 +0200

asterisk-certified (20.7-cert4-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 01 Feb 2025 12:51:01 +0100

asterisk-certified (20.7-cert3-1bit4) unstable; urgency=medium

  * Readded asterisk modules:
    - cdr_tds
    - cel_tds.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 16 Dec 2024 15:04:50 +0100

asterisk-certified (20.7-cert3-1bit3) unstable; urgency=medium
  * Bump debhelper compat to v13.
  * Added new package asterisk-cert-digium for digium SIP phones.
  * Added dependency libavahi-client-dev for package asterisk-cert-digium.
  * Added missing modules/files to package asterisk-cert-dahdi.
    They were mistakenly in the package asterisk-cert-modules:
    - /usr/lib/${DEB_HOST_MULTIARCH}/asterisk/modules/app_flash
    - /usr/lib/${DEB_HOST_MULTIARCH}/asterisk/modules/app_meetme
    - /usr/share/dahdi/span_config.d/50-asterisk.
  * Removed asterisk modules:
    - app_voicemail_imap
    - app_voicemail_odbc
    - cdr_pgsql
    - cdr_tds
    - cel_pgsql
    - cel_tds.
  * Added asterisk modules:
    - app_broadcast
    - app_if
    - app_meetme
    - app_sf
    - app_signal
    - cdr_sqlite3_custom
    - func_evalexten
    - func_export
    - func_json
    - res_calendar_caldav
    - res_calendar_ews
    - res_calendar_exchange
    - res_calendar_icalendar
    - res_calendar
    - res_chan_stats
    - res_cliexec
    - res_config_ldap
    - res_digium_phone
    - res_endpoint_stats
    - res_monitor
    - res_pjsip_aoc
    - res_pjsip_stir_shaken
    - res_pktccops
    - res_smdi
    - res_snmp
    - res_statsd
    - res_stir_shaken
    - res_timing_dahdi.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Wed, 11 Dec 2024 16:02:22 +0100

asterisk-certified (20.7-cert3-1bit2) unstable; urgency=medium

  * Added patch 1009_build_reproducibly.patch again.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 28 Oct 2024 08:24:59 +0100

asterisk-certified (20.7-cert3-1bit1) unstable; urgency=medium

  * New upstream release.
  * stop install modules dropped upstream:
    - app_dahdiras
    - app_mysql
    - cdr_mysql.
  * set Rules-Requires-Root: no.
  * unfuzz patches.
  * update watch file.
  * update lintian-overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 14 Oct 2024 14:26:10 +0200
