## asterisk-certified 20.7-cert8

=== debian/changelog ===
asterisk-certified (20.7-cert8-1bit1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides.
  * Changed Build-Depends pkg-config to pkgconf.  

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 26 Jan 2026 13:35:21 +0100
