=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
  ca-certificates,
  libcodec2-dev,
  xmlstarlet,
- pkg-config,
+ pkgconf,
  zlib1g-dev
 Standards-Version: 4.3.0
 Homepage: http://www.asterisk.org/
